Package com.enonic.xp.content

## Class ImportContentParams.Builder

- java.lang.Object
- - com.enonic.xp.content.ImportContentParams.Builder

- Enclosing class:
    ImportContentParams

      public static final class ImportContentParams.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ImportContentParams.Builder` | `binaryAttachments​(BinaryAttachments binaryAttachments)` |
    `ImportContentParams` | `build()` |
    `ImportContentParams.Builder` | `dryRun​(boolean dryRun)` |
    `ImportContentParams.Builder` | `importContent​(Content content)` |
    `ImportContentParams.Builder` | `importPermissions​(boolean importPermissions)` |
    `ImportContentParams.Builder` | `importPermissionsOnCreate​(boolean importPermissionsOnCreate)` |
    `ImportContentParams.Builder` | `inherit​(Collection<ContentInheritType> inherit)` |
    `ImportContentParams.Builder` | `insertManualStrategy​(InsertManualStrategy insertManualStrategy)` |
    `ImportContentParams.Builder` | `originProject​(ProjectName originProject)` |
    `ImportContentParams.Builder` | `targetPath​(ContentPath targetPath)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### binaryAttachments

          public ImportContentParams.Builder binaryAttachments​(BinaryAttachments binaryAttachments)

    - #### importContent

          public ImportContentParams.Builder importContent​(Content content)

    - #### targetPath

          public ImportContentParams.Builder targetPath​(ContentPath targetPath)

    - #### insertManualStrategy

          public ImportContentParams.Builder insertManualStrategy​(InsertManualStrategy insertManualStrategy)

    - #### inherit

          public ImportContentParams.Builder inherit​(Collection<ContentInheritType> inherit)

    - #### originProject

          public ImportContentParams.Builder originProject​(ProjectName originProject)

    - #### dryRun

          public ImportContentParams.Builder dryRun​(boolean dryRun)

    - #### importPermissions

          public ImportContentParams.Builder importPermissions​(boolean importPermissions)

    - #### importPermissionsOnCreate

          public ImportContentParams.Builder importPermissionsOnCreate​(boolean importPermissionsOnCreate)

    - #### build

          public ImportContentParams build()